Package org.eclipse.emf.cdo.common.id

# Interface CDOIDExternal

All Superinterfaces:
  `CDOID`, `Comparable<CDOID>`, `Serializable`

public interface CDOIDExternal extends CDOID
The `ID` of a CDO object that is external to a CDO `repository`.

Since:
  2.0
Author:
  Simon McDuff
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`CDOID.ObjectType, CDOID.Type`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`NIL, NULL`

## Method Summary

Modifier and Type
Method
Description
`String`
`getURI()`

### Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID

`getType, isDangling, isExternal, isNil, isNull, isObject, isTemporary, toURIFragment`

### Methods inherited from interface java.lang.Comparable

`compareTo`

## Method Details

### getURI

String getURI()